Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sapbapiadapter.sapbapi
Class ConnectorServer

    java.lang.Object
      com.stc.connector.sapbapiadapter.sapbapi.ConnectorServer

All Implemented Interfaces:
  Connector

Direct Known Subclasses:
  BapiServer

    public abstract class ConnectorServer

extends java.lang.Object
implements Connector

An interface to define the methods required by a SAP BAPI and IDOC connectors for inbound transactions from SAP

Version:
  $Revision: 1.12 $
Author:
  Rajesh Dhingra

Field Summary
`protected java.lang.String` | `appServerHost`
`protected java.lang.String` | `characterSet`
`protected java.lang.String` | `client`
`protected long` | `connVerifInterval` Connection Verification Interval.
`static long` | `DELTA_TIME` Small delta time in milliseconds: 3000 ms
`static java.lang.String` | `EMPTY_STRING`
`protected java.lang.String` | `enableTrace`
`protected java.lang.String` | `gatewayHostname`
`protected java.lang.String` | `gatewayService`
`protected com.sap.mw.jco.JCO.Client` | `jcoClient` RFC Client.
`protected java.lang.String` | `language`
`protected long` | `lastActivityTime` DOCUMENT ME
`protected java.lang.Throwable` | `lastError` DOCUMENT ME
`protected net.java.hulp.i18n.Logger` | `mLogger`
`protected int` | `numOfRfcServers`
`protected java.lang.String` | `password`
`protected java.lang.String` | `programID`
`protected int` | `rfcTraceLevel`
`protected java.lang.String` | `router`
`protected java.lang.String` | `sncEnabled`
`protected java.lang.String` | `sncLib`
`protected java.lang.String` | `sncMyName`
`protected java.lang.String` | `sncQop`
`protected java.lang.String` | `systemId`
`protected java.lang.String` | `systemNum`
`protected java.lang.String` | `tidDB`
`protected java.lang.String` | `tranXactMode`
`protected java.lang.String` | `user`
`protected long` | `waitInterval`
`protected java.lang.String` | `waitIntervalStr` Interval to wait for Server request.
`static java.lang.String` | `XACT_NONE_STR` Non-Transactional mode string.
`static java.lang.String` | `XACT_TRFC_STR` Transactional RFC (tRFC) mode string.

Constructor Summary
`ConnectorServer()`

Method Summary
`com.sap.mw.jco.JCO.Client` | `getClient()` Retrieves the SAP jCO client object.
`int` | `getClientMaxDBRows()` Retrieves the ClientMaxDBRows.
`long` | `getLastActivityTime()` Gets the last time a connection activity was performed.
`java.lang.Throwable` | `getLastError()` Gets the last error due to a connection attempt.
`protected ConnectorServer` | `getServer()` Returns the Connector Server object.
`java.lang.String` | `getServerTransactionalMode()` Retrieves the Server Transactional Mode.
`java.lang.String` | `getTidDatabase()` Retrieves the TID Database to use for server mode.
`protected void` | `init(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)` Iniitalizes the TID Manager Factory and misc
`boolean` | `isServerRfcTrace()` Checks whether RFC Tracing is enabled for server mode.
`boolean` | `isServerTrfcEnabled()` Checks whether tRFC (transactional RFC) is enabled for server mode.
`boolean` | `isTrfcEnabled()` Checks whether tRFC (transactional RFC) is enabled for server mode.
`void` | `setLastActivityTime(long lastActivityTime)` Sets the last time a connection activity was performed.
`void` | `setLastError(java.lang.Throwable lastError)` Sets the last error due to a connection attempt.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mLogger

    protected net.java.hulp.i18n.Logger mLogger

### lastActivityTime

    protected long lastActivityTime

  DOCUMENT ME

### lastError

    protected java.lang.Throwable lastError

  DOCUMENT ME

### XACT_NONE_STR

    public static final java.lang.String XACT_NONE_STR

  Non-Transactional mode string.

  See Also:
    Constant Field Values

### XACT_TRFC_STR

    public static final java.lang.String XACT_TRFC_STR

  Transactional RFC (tRFC) mode string.

  See Also:
    Constant Field Values

### DELTA_TIME

    public static final long DELTA_TIME

  Small delta time in milliseconds: 3000 ms

  See Also:
    Constant Field Values

### EMPTY_STRING

    public static final java.lang.String EMPTY_STRING

See Also:
  Constant Field Values

### jcoClient

    protected com.sap.mw.jco.JCO.Client jcoClient

  RFC Client.

### gatewayService

    protected java.lang.String gatewayService

### gatewayHostname

    protected java.lang.String gatewayHostname

### router

    protected java.lang.String router

### programID

    protected java.lang.String programID

### tidDB

    protected java.lang.String tidDB

### appServerHost

    protected java.lang.String appServerHost

### systemNum

    protected java.lang.String systemNum

### systemId

    protected java.lang.String systemId

### client

    protected java.lang.String client

### user

    protected java.lang.String user

### password

    protected java.lang.String password

### language

    protected java.lang.String language

### tranXactMode

    protected java.lang.String tranXactMode

### enableTrace

    protected java.lang.String enableTrace

### characterSet

    protected java.lang.String characterSet

### rfcTraceLevel

    protected int rfcTraceLevel

### numOfRfcServers

    protected int numOfRfcServers

### sncEnabled

    protected java.lang.String sncEnabled

### sncQop

    protected java.lang.String sncQop

### sncLib

    protected java.lang.String sncLib

### sncMyName

    protected java.lang.String sncMyName

### waitIntervalStr

    protected java.lang.String waitIntervalStr

  Interval to wait for Server request.

### waitInterval

    protected long waitInterval

### connVerifInterval

    protected long connVerifInterval

  Connection Verification Interval.

Constructor Detail

### ConnectorServer

    public ConnectorServer()

Method Detail

### init

    protected void init(com.stc.connector.framework.util.ConfigurationHelper aConfiguration)
                 throws javax.resource.ResourceException

  Iniitalizes the TID Manager Factory and misc

  Throws:
    `javax.resource.ResourceException` - on error

### getServer

    protected ConnectorServer getServer()

  Returns the Connector Server object.

  Returns:
    ConnectorServer

### setLastActivityTime

    public void setLastActivityTime(long lastActivityTime)

  Sets the last time a connection activity was performed.

  Specified by:
    `setLastActivityTime` in interface `Connector`
  Parameters:
    `lastActivityTime` - the last time

### getLastActivityTime

    public long getLastActivityTime()

  Gets the last time a connection activity was performed.

  Returns:
    the lastActivityTime

### setLastError

    public void setLastError(java.lang.Throwable lastError)

  Sets the last error due to a connection attempt.

  Parameters:
    `lastError` - the error

### getLastError

    public java.lang.Throwable getLastError()

  Gets the last error due to a connection attempt.

  Returns:
    Throwable the error

### isServerRfcTrace

    public boolean isServerRfcTrace()

  Checks whether RFC Tracing is enabled for server mode.

  Returns:
    `true` if RFC Tracing is enabled; else `false`.

### getTidDatabase

    public java.lang.String getTidDatabase()

  Retrieves the TID Database to use for server mode.

  Specified by:
    `getTidDatabase` in interface `Connector`
  Returns:
    The TID Database name.

### isServerTrfcEnabled

    public boolean isServerTrfcEnabled()

  Checks whether tRFC (transactional RFC) is enabled for server mode.

  Returns:
    `true` if tRFC is enabled; else `false`.

### isTrfcEnabled

    public boolean isTrfcEnabled()

  Checks whether tRFC (transactional RFC) is enabled for server mode.

  Specified by:
    `isTrfcEnabled` in interface `Connector`
  Returns:
    `true` if tRFC is enabled; else `false`.

### getServerTransactionalMode

    public java.lang.String getServerTransactionalMode()

  Retrieves the Server Transactional Mode.

  Returns:
    Server Transactional Mode.
  See Also:
    `XACT_NONE_STR`, `XACT_TRFC_STR`

### getClient

    public com.sap.mw.jco.JCO.Client getClient()

  Retrieves the SAP jCO client object.

  Specified by:
    `getClient` in interface `Connector`
  Returns:
    The jCO client handle.

### getClientMaxDBRows

    public int getClientMaxDBRows()

  Retrieves the ClientMaxDBRows. This is a dummy method, implemented just to stisfy the interface and is not really used for the server mode.

  Specified by:
    `getClientMaxDBRows` in interface `Connector`
  Returns:
    int 0.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD